### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class DeploymentApplicationMonitor

java.lang.Object
com.sas.services.deployment.DeploymentApplicationMonitor

@SASScope("ALL") @BinaryCompatibilityOnly public class DeploymentApplicationMonitor extends Object
Application monitoring of the services deployment process is supported using the monitoring feature of the foundation logging service.

This class contains constants to represent:

- logging category
- columns

Since:
  1.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION_CONFIGURED`
  Action: configured service
  `static final String`
  `ACTION_STARTED`
  Action: started service
  `static final String`
  `ACTION_STARTING`
  Action: starting service
  `static final String`
  `ACTION_TERMINATED`
  Action: terminated service
  `static final String`
  `CATEGORY`
  Log category.
  `static final String`
  `COLUMN_ACTION`
  Column: Action
  `static final String`
  `COLUMN_ENTITY_ID`
  Column: Service ID
  `static final String`
  `COLUMN_SERVICE_NAME`
  Column: Service Name

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final void`
  `log(RemoteServiceInterface service, String action)`
  Log a message to the application monitor to notify it of that the specified action has been executed on the service.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CATEGORY

    public static final String CATEGORY
    Log category.
    See Also:
      - Constant Field Values

  - ### COLUMN_ACTION

    public static final String COLUMN_ACTION
    Column: Action
    See Also:
      - `COLUMN_SERVICE_NAME`
      - `COLUMN_ENTITY_ID`
      - Constant Field Values

  - ### COLUMN_SERVICE_NAME

    public static final String COLUMN_SERVICE_NAME
    Column: Service Name
    See Also:
      - `COLUMN_ACTION`
      - `COLUMN_ENTITY_ID`
      - Constant Field Values

  - ### COLUMN_ENTITY_ID

    public static final String COLUMN_ENTITY_ID
    Column: Service ID
    See Also:
      - `COLUMN_ACTION`
      - `COLUMN_SERVICE_NAME`
      - Constant Field Values

  - ### ACTION_STARTING

    public static final String ACTION_STARTING
    Action: starting service
    See Also:
      - `ACTION_CONFIGURED`
      - `ACTION_STARTED`
      - `ACTION_TERMINATED`

  - ### ACTION_CONFIGURED

    public static final String ACTION_CONFIGURED
    Action: configured service
    See Also:
      - `ACTION_STARTING`
      - `ACTION_STARTED`
      - `ACTION_TERMINATED`

  - ### ACTION_STARTED

    public static final String ACTION_STARTED
    Action: started service
    See Also:
      - `ACTION_STARTING`
      - `ACTION_CONFIGURED`
      - `ACTION_TERMINATED`

  - ### ACTION_TERMINATED

    public static final String ACTION_TERMINATED
    Action: terminated service
    See Also:
      - `ACTION_STARTING`
      - `ACTION_CONFIGURED`
      - `ACTION_STARTED`

- ## Method Details

  - ### log

    public static final void log(RemoteServiceInterface service, String action)
    Log a message to the application monitor to notify it of that the specified action has been executed on the service.
    Parameters:
      `service` - Service upon which the action to be logged was executed.
      `action` - The action to be logged. One of `ACTION_STARTING` `ACTION_STARTED`, `ACTION_CONFIGURED`, `ACTION_TERMINATED`